<?php
// Copyright (C) <2015>  <it-novum GmbH>
//
// This file is dual licensed
//
// 1.
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, version 3 of the License.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// 2.
//  If you purchased an openITCOCKPIT Enterprise Edition you can use this file
//  under the terms of the openITCOCKPIT Enterprise Edition license agreement.
//  License agreement and license key will be shipped with the order
//  confirmation.

namespace UCSModule\Lib\InitialDatabase;

use itnovum\openITCOCKPIT\InitialDatabase\Importer;

/**
 * Class TemplateImport
 * @package UCSModule\Lib\InitialDatabase
 */
class TemplateImport extends Importer {
    public function __construct() {
        $TemplateImporter = new \App\itnovum\openITCOCKPIT\ImportTemplates\TemplateImport(
            \Cake\ORM\TableRegistry::getTableLocator()->get('Commands'),
            \Cake\ORM\TableRegistry::getTableLocator()->get('Macros'),
            \Cake\ORM\TableRegistry::getTableLocator()->get('Servicetemplates'),
            \Cake\ORM\TableRegistry::getTableLocator()->get('Hosttemplates'),
            \Cake\ORM\TableRegistry::getTableLocator()->get('Servicetemplategroups')
        );
        $TemplateImporter->import($this->getData());
    }

    public function getData() {
        return [
            'Commands'              => $this->getCommandsData(),
            'Macros'                => $this->getMacrosData(),
            'Hosttemplates'         => $this->getHosttemplatesData(),
            'Servicetemplates'      => $this->getServicetemplatesData(),
            'Servicetemplategroups' => $this->getServicetemplategroupsData()
        ];
    }

    /**
     * @return array
     */
    public function getCommandsData() {
        $data = [
            0 =>
                [
                    'name'             => 'check_nrpe',
                    'command_line'     => '$USER1$/check_nrpe -H $HOSTADDRESS$ -c $ARG1$',
                    'command_type'     => '1',
                    'human_args'       => null,
                    'uuid'             => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'description'      => 'Check by NRPE without command args',
                    'commandarguments' =>
                        [
                            0 =>
                                [
                                    'name'       => '$ARG1$',
                                    'human_name' => 'command',
                                ],
                        ],
                ],
        ];
        return $data;
    }

    /**
     * @return array
     */
    public function getMacrosData() {
        $data = [
            /*
            [
                'name'        => '$USER1$',
                'value'       => 'foo',
                'description' => 'bar',
                'password'    => '0',
                'created'     => '2020-05-13 14:11:30',
                'modified'    => '2020-05-13 14:11:30'
            ],
            [
                'name'        => '$USER2$',
                'value'       => 'bar',
                'description' => 'baz',
                'password'    => '0',
                'created'     => '2020-05-13 14:11:41',
                'modified'    => '2020-05-13 14:11:41'
            ]
            */
        ];
        return $data;
    }

    /**
     * @return array
     */
    public function getHosttemplatesData() {
        $data = [
            /*
            [
                'id'                                => '2',
                'uuid'                              => 'd2f712ef-fc7e-4004-9bdc-8c819f00fff',
                'name'                              => 'My Hosttemplate',
                'description'                       => '',
                'hosttemplatetype_id'               => '1',
                'command_id'                        => 'bc922eb4-84ad-44cc-9dff-43a464097753',
                ...
            ],
            [
                'id'                                => '3',
                'uuid'                              => '82e7245a-f1be-41cd-b074-ff88681f7fff',
                'name'                              => 'Another Hosttemplate',
                'description'                       => '',
                'hosttemplatetype_id'               => '1',
                'command_id'                        => 'bc922eb4-84ad-44cc-9dff-43a464097753',
                ...
            ]
            */
        ];
        return $data;
    }

    /**
     * @return array
     */
    public function getServicetemplatesData() {
        $data = [
            0  =>
                [
                    'uuid'                                      => 'dc11ace6-604b-41af-894d-7b53622475e5',
                    'template_name'                             => 'UNIVENTION_CUPS',
                    'name'                                      => 'UNIVENTION_CUPS',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '5',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '1',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => null,
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:18:39',
                    'modified'                                  => '2018-02-07 15:18:39',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_CUPS',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            1  =>
                [
                    'uuid'                                      => '13991eb4-4d93-429e-bd5f-c0c80d5b25cc',
                    'template_name'                             => 'UNIVENTION_DISK_ROOT',
                    'name'                                      => 'UNIVENTION_DISK_ROOT',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '10',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '1',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:19:58',
                    'modified'                                  => '2018-02-07 15:24:27',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_DISK_ROOT',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            2  =>
                [
                    'uuid'                                      => '19b3df56-2133-43b0-a91e-31bc2a51a5d2',
                    'template_name'                             => 'UNIVENTION_DNS',
                    'name'                                      => 'UNIVENTION_DNS',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '10',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '1',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:20:29',
                    'modified'                                  => '2018-02-07 15:26:18',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_DNS',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            3  =>
                [
                    'uuid'                                      => '41c715f4-9078-4773-8863-57af0851bc48',
                    'template_name'                             => 'UNIVENTION_JOINSTATUS',
                    'name'                                      => 'UNIVENTION_JOINSTATUS',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '10800',
                    'retry_interval'                            => '1800',
                    'max_check_attempts'                        => '1',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '0',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:20:36',
                    'modified'                                  => '2018-02-07 15:27:13',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_JOINSTATUS',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            4  =>
                [
                    'uuid'                                      => '7fdba0bc-cf4b-4f39-bcce-6a48a032d537',
                    'template_name'                             => 'UNIVENTION_LDAP_AUTH',
                    'name'                                      => 'UNIVENTION_LDAP_AUTH',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '10',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '1',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:20:43',
                    'modified'                                  => '2018-02-07 15:27:58',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_LDAP_AUTH',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            5  =>
                [
                    'uuid'                                      => '6580002a-6512-443b-b139-e55811c6a174',
                    'template_name'                             => 'UNIVENTION_LOAD',
                    'name'                                      => 'UNIVENTION_LOAD',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '300',
                    'retry_interval'                            => '120',
                    'max_check_attempts'                        => '1',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '1',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:20:50',
                    'modified'                                  => '2018-02-07 15:28:22',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_LOAD',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            6  =>
                [
                    'uuid'                                      => 'daf2d0c6-7689-4e34-8a6e-598678fd6452',
                    'template_name'                             => 'UNIVENTION_NSCD2',
                    'name'                                      => 'UNIVENTION_NSCD2',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '900',
                    'retry_interval'                            => '120',
                    'max_check_attempts'                        => '2',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '0',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:20:57',
                    'modified'                                  => '2018-02-07 15:29:05',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_NSCD2',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            7  =>
                [
                    'uuid'                                      => 'c117447c-404b-4a09-b3c9-b55cda2ae429',
                    'template_name'                             => 'UNIVENTION_REPLICATION',
                    'name'                                      => 'UNIVENTION_REPLICATION',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '120',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '5',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '0',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:21:04',
                    'modified'                                  => '2018-02-07 15:29:48',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_REPLICATION',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            8  =>
                [
                    'uuid'                                      => 'ae971caf-3f9c-4f9e-95d2-a2fc417b4906',
                    'template_name'                             => 'UNIVENTION_S4CONNECTOR',
                    'name'                                      => 'UNIVENTION_S4CONNECTOR',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '10',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '0',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:21:11',
                    'modified'                                  => '2018-02-07 15:30:18',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_S4CONNECTOR',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            9  =>
                [
                    'uuid'                                      => '2dff1aad-4830-4e7b-aca6-16aeae115797',
                    'template_name'                             => 'UNIVENTION_SAMBA_REPLICATION',
                    'name'                                      => 'UNIVENTION_SAMBA_REPLICATION',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '10',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '0',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:21:18',
                    'modified'                                  => '2018-02-07 15:31:04',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_SAMBA_REPLICATION',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            10 =>
                [
                    'uuid'                                      => '215070aa-01ff-431f-b2ef-d745ce08cdbd',
                    'template_name'                             => 'UNIVENTION_SMTP2',
                    'name'                                      => 'UNIVENTION_SMTP2',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '10',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '1',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:21:34',
                    'modified'                                  => '2018-02-07 15:31:26',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_SMTP2',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            11 =>
                [
                    'uuid'                                      => '4f0163cc-6450-4dbd-b28e-9a65413550d0',
                    'template_name'                             => 'UNIVENTION_SSL',
                    'name'                                      => 'UNIVENTION_SSL',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '3600',
                    'retry_interval'                            => '300',
                    'max_check_attempts'                        => '3',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '0',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:21:46',
                    'modified'                                  => '2018-02-07 15:32:11',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_SSL',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
            12 =>
                [
                    'uuid'                                      => 'd8a68559-3354-4115-a034-db9d8d143a0c',
                    'template_name'                             => 'UNIVENTION_SWAP',
                    'name'                                      => 'UNIVENTION_SWAP',
                    'container_id'                              => '1',
                    'servicetemplatetype_id'                    => '1',
                    'check_period_id'                           => '1',
                    'notify_period_id'                          => '1',
                    'description'                               => '',
                    'command_id'                                => '7c8891b3-1e58-485e-9ae2-7b2a16a8f0ad',
                    'check_command_args'                        => '',
                    'checkcommand_info'                         => '',
                    'eventhandler_command_id'                   => '0',
                    'timeperiod_id'                             => '0',
                    'check_interval'                            => '600',
                    'retry_interval'                            => '60',
                    'max_check_attempts'                        => '1',
                    'first_notification_delay'                  => '0',
                    'notification_interval'                     => '10800',
                    'notify_on_warning'                         => '1',
                    'notify_on_unknown'                         => '1',
                    'notify_on_critical'                        => '1',
                    'notify_on_recovery'                        => '1',
                    'notify_on_flapping'                        => '0',
                    'notify_on_downtime'                        => '0',
                    'flap_detection_enabled'                    => '0',
                    'flap_detection_on_ok'                      => '0',
                    'flap_detection_on_warning'                 => '0',
                    'flap_detection_on_unknown'                 => '0',
                    'flap_detection_on_critical'                => '0',
                    'low_flap_threshold'                        => '0',
                    'high_flap_threshold'                       => '0',
                    'process_performance_data'                  => '1',
                    'freshness_checks_enabled'                  => '0',
                    'freshness_threshold'                       => null,
                    'passive_checks_enabled'                    => '0',
                    'event_handler_enabled'                     => '0',
                    'active_checks_enabled'                     => '1',
                    'retain_status_information'                 => '0',
                    'retain_nonstatus_information'              => '0',
                    'notifications_enabled'                     => '1',
                    'notes'                                     => '',
                    'priority'                                  => '1',
                    'tags'                                      => '',
                    'service_url'                               => '',
                    'is_volatile'                               => '0',
                    'check_freshness'                           => '0',
                    'created'                                   => '2018-02-07 15:21:57',
                    'modified'                                  => '2018-02-07 15:32:32',
                    'servicetemplateeventcommandargumentvalues' =>
                        [
                        ],
                    'servicetemplatecommandargumentvalues'      =>
                        [
                            0 =>
                                [
                                    'commandargument_id' => '$ARG1$',
                                    'value'              => 'UNIVENTION_SWAP',
                                ],
                        ],
                    'customvariables'                           =>
                        [
                        ],
                    'servicegroups'                             =>
                        [
                        ],
                    'contactgroups'                             =>
                        [
                        ],
                    'contacts'                                  =>
                        [
                        ],
                ],
        ];
        return $data;
    }

    public function getServicetemplategroupsData() {
        $data = [
            0 =>
                [
                    'uuid'             => 'ae65e6ac-c3ee-45ca-b5ce-44af2c2fa592',
                    'description'      => 'Monitoring Univention UCS Systeme',
                    'servicetemplates' =>
                        [
                            2  =>
                                [
                                    'id'   => 'dc11ace6-604b-41af-894d-7b53622475e5',
                                    'uuid' => 'dc11ace6-604b-41af-894d-7b53622475e5',
                                ],
                            3  =>
                                [
                                    'id'   => '13991eb4-4d93-429e-bd5f-c0c80d5b25cc',
                                    'uuid' => '13991eb4-4d93-429e-bd5f-c0c80d5b25cc',
                                ],
                            4  =>
                                [
                                    'id'   => '19b3df56-2133-43b0-a91e-31bc2a51a5d2',
                                    'uuid' => '19b3df56-2133-43b0-a91e-31bc2a51a5d2',
                                ],
                            5  =>
                                [
                                    'id'   => '41c715f4-9078-4773-8863-57af0851bc48',
                                    'uuid' => '41c715f4-9078-4773-8863-57af0851bc48',
                                ],
                            6  =>
                                [
                                    'id'   => '7fdba0bc-cf4b-4f39-bcce-6a48a032d537',
                                    'uuid' => '7fdba0bc-cf4b-4f39-bcce-6a48a032d537',
                                ],
                            7  =>
                                [
                                    'id'   => '6580002a-6512-443b-b139-e55811c6a174',
                                    'uuid' => '6580002a-6512-443b-b139-e55811c6a174',
                                ],
                            8  =>
                                [
                                    'id'   => 'daf2d0c6-7689-4e34-8a6e-598678fd6452',
                                    'uuid' => 'daf2d0c6-7689-4e34-8a6e-598678fd6452',
                                ],
                            9  =>
                                [
                                    'id'   => 'c117447c-404b-4a09-b3c9-b55cda2ae429',
                                    'uuid' => 'c117447c-404b-4a09-b3c9-b55cda2ae429',
                                ],
                            10 =>
                                [
                                    'id'   => 'ae971caf-3f9c-4f9e-95d2-a2fc417b4906',
                                    'uuid' => 'ae971caf-3f9c-4f9e-95d2-a2fc417b4906',
                                ],
                            11 =>
                                [
                                    'id'   => '2dff1aad-4830-4e7b-aca6-16aeae115797',
                                    'uuid' => '2dff1aad-4830-4e7b-aca6-16aeae115797',
                                ],
                            12 =>
                                [
                                    'id'   => '215070aa-01ff-431f-b2ef-d745ce08cdbd',
                                    'uuid' => '215070aa-01ff-431f-b2ef-d745ce08cdbd',
                                ],
                            13 =>
                                [
                                    'id'   => '4f0163cc-6450-4dbd-b28e-9a65413550d0',
                                    'uuid' => '4f0163cc-6450-4dbd-b28e-9a65413550d0',
                                ],
                            14 =>
                                [
                                    'id'   => 'd8a68559-3354-4115-a034-db9d8d143a0c',
                                    'uuid' => 'd8a68559-3354-4115-a034-db9d8d143a0c',
                                ],
                        ],
                    'container'        =>
                        [
                            'name'             => 'UCS Monitoring',
                            'parent_id'        => 1,
                            'containertype_id' => '9',
                        ],
                ],
        ];
        return $data;
    }
}
